package net.knarcraft.bookswithoutborders.utility;

public class EncryptionHelper {

    /**
     * Transforms a string key/password into its numerical values
     * @param key <p>The key to transform</p>
     * @return <p>The numbers representing the key's characters</p>
     */
    public static String getNumberKeyFromStringKey(String key) {
        StringBuilder integerKey = new StringBuilder();
        for (int x = 0; x < key.length(); x++) {
            integerKey.append(Character.getNumericValue(Character.codePointAt(key, x)));
        }
        return integerKey.toString();
    }

}
